[tox]
envlist = clean,test
skipsdist = True

[testenv:test]
basepython = python3
sitepackages = False
deps =
    mock
    PyGObject
    pytest
    pytest-cov
    pytest-xdist
    pyserial
commands =
    pytest --cov --cov-append --cov-report=term-missing --disable-warnings -v tests {posargs}
[testenv:clean]
deps = coverage
skip_install = true
commands = coverage erase